#ifndef POSMETADATADB_H
#define POSMETADATADB_H

#include <QtSql/QSqlDatabase>
#include <QtSql/QSqlQuery>
#include <QtSql/QSqlError>
#include <QObject>
#include <QMutex>
#include "preDefine.h"
#include <Model/PosMateDataObject.h>

class PosMetaDataDB : public QObject
{
    Q_OBJECT
public:
    static PosMetaDataDB& getInstance();

    /**
    *功能:初始化pos本地数据库;方便后期判断 打开pos本地数据库是否成功;
    *参数:[无]
    *返回:true:能够成功打开POS本地数据库，false:不能够成功打开POS本地数据库
    **/
    bool initPosMetaDataDB();

    /**
    *功能:查询 “工作站号”  “收银员账号”  “收银员名称” 是否存在本地的POS系统中;
    *参数:[3]
    *返回:true 查询成功，false 查询失败;
    **/
    bool queryPosMetaDataDB(PosMateDataObject* posMateDataObj);


    /**
    *功能:查询 “门店号” 是否存在本地的POS系统中;
    *参数:[0]
    *返回: 查询成功的门店号;
    **/
    QString getDbStoreId();

private:
    QMutex m_mutex;
    PosMetaDataDB();
    PosMetaDataDB(PosMetaDataDB const&);
    PosMetaDataDB& operator=(PosMetaDataDB const&);
    QSqlDatabase m_sqlDb;
    bool  m_configTableExist;
    QString  m_dbStoreId;

signals:

public slots:
};


#endif // POSMETADATADB_H
